Subject: Re: linux-next: duplicate patches in the devicetree tree

From: Krzysztof Wilczyński <[email-masked]>
Date: Wed, 15 May 2024 23:54:54 +0900

Hello,

> > > The following commits are also in the pci tree as different commits
> > > (but the same patches):
> > >
> > >   15be4f7ce5de ("dt-bindings: Drop unnecessary quotes on keys")
> > >   28081ebd17fb ("dt-bindings: PCI: qcom,pcie-sm8350: Drop redundant 'oneOf' sub-schema")
> > >   649bad67d4b1 ("dt-bindings: PCI: microchip: increase number of items in ranges property")
> > >
> > > These are commits
> > >
> > >   d7890a80e037 ("dt-bindings: Drop unnecessary quotes on keys")
> > >   301e978b9eb7 ("dt-bindings: PCI: qcom,pcie-sm8350: Drop redundant 'oneOf' sub-schema")
> > >   247edade4b4b ("dt-bindings: PCI: microchip: Increase number of items in ranges property")
> > >
> > > in the pci tree.
> >
> > I took the last two, and dropped the first one, per feedback from Rob.
> 
> Normally, that's what should have happened was my feedback. That's not
> what we should do here. What you've done means we *both* have to
> rebase our branches. Since we're in the merge window and I've had
> these commits in my tree for over a week, I think you should drop all
> 3.

Done.  Thank you!

> I only picked up the PCI ones because they hadn't been picked up in
> over 2 weeks and the merge window was approaching. What's going to
> Linus should be in linux-next before the merge window opens. We're all
> guilty of bending the rules there, but that should be the exception.

I will pay a much closer attention to DT patches from now on, so I can
track things better, and pick things sooner.

	Krzysztof